package hideandseek.commands.user;

import hideandseek.Arena;
import hideandseek.managers.TitleManager;
import org.bukkit.Bukkit;
import hideandseek.PlayerData;
import org.bukkit.entity.Player;
import hideandseek.Config;
import org.bukkit.command.CommandSender;
import hideandseek.Customization;
import hideandseek.HideAndSeek;
import hideandseek.commands.SubCommand;

public class LeaveCommand extends SubCommand
{
    public LeaveCommand() {
        super((String)null, false, (String)null);
    }
    
    public boolean execute(final HideAndSeek var1, final Customization var2, final CommandSender var3, final String[] var4) {
        if (Config.getInstance().bungeeEnabled) {
            var3.sendMessage((String)var2.messages.get("unknown_command"));
            return true;
        }
        final Player var5 = (Player)var3;
        final Arena var6 = var1.playerData.get(var5.getName()).arena;
        if (var6 == null) {
            var5.sendMessage((String)var2.messages.get("not_in_game"));
            return true;
        }
        var1.game.remove(var5.getName());
        if (var6.spectators.contains(var5.getName())) {
            final PlayerData var7 = var1.playerData.get(var5.getName());
            var5.setGameMode(var7.gameMode);
            var5.teleport(var7.location);
            if (var7.flying) {
                var5.setAllowFlight(true);
                var5.setFlying(true);
            }
            var5.addPotionEffects(var7.effects);
            var5.setScoreboard(Bukkit.getScoreboardManager().getNewScoreboard());
            var6.spectators.remove(var5.getName());
            var7.destroyData();
            return true;
        }
        var1.grace.remove(var5.getName());
        var1.playerData.get(var5.getName()).restoreData(var5);
        var6.leave(var5);
        var5.setFireTicks(0);
        var5.sendMessage((String)var2.messages.get("arena_leave"));
        if (var1.player_leave_title != null) {
            TitleManager.getInstance().sendTitle(var5, var1.player_leave_title);
        }
        return true;
    }
}
